Command line launch of job(s)
Closed, ResolvedPublic

Description

Brian wrote:

Suggest ability to launch Replicator with parms (to specify a particular job to run immediately) as I’d much rather use Windows task scheduler instead of replicator’s built-in scheduler.

Need to check out what will happen if Replicator is launched without access to the desktop.

This might relate to T40: Run Replicator as a Windows Service

Joe created this task.Nov 17 2018, 11:47 AM
Joe created this object in space S5 Public.
Joe triaged this task as Normal priority.
Joe created this object with visibility "Public (No Login Required)".
Joe added a comment.Dec 6 2018, 12:22 PM

Replicator can already start a job. There's a Create Shortcut to job feature, too.

Joe added a comment.EditedDec 6 2018, 12:26 PM

Verified that Replicator will run the job(s) specified on the command line, then attempt to quit as though the user clicked Exit button. If there are warnings preventing the user from exiting, then the dialog box will do just that.

A command line option to force close after job runs, no matter the Other Settings, seems appropriate.

Joe added a comment.EditedDec 6 2018, 12:50 PM

Added command line switch /QUIT which will force the quit of the application after the job runs, regardless of the warning settings.

Actually, if /QUIT is on the command line, then Replicator will always close without warning regardless of the Other Settings -- whether running jobs from the command line or not.

OH NO, I'm going to have to eventually rebuild the help file.

Joe closed this task as Resolved.Dec 6 2018, 12:56 PM
Joe moved this task from Backlog to v3.7.1 Released 2018-12-06 on the Replicator board.
Joe edited projects, added Replicator (v3.7.1 Released 2018-12-06); removed Replicator.